dnf/yum shows "Modular dependency problems - nothing provides module(perl:5.26) needed by module freeradius:3.0" on new deployment

Solution In Progress - Updated -

Issue

  • yum/dnf commands show Modular Dependency Problems
Modular dependency problems:

Problem 1: module perl:5.30:8030020200609055348:568f3a16-0.x86_64 conflicts with module(perl:5.26) provided by perl:5.26:820181219174508:9edba152-0.x86_64
 - module perl:5.26:820181219174508:9edba152-0.x86_64 conflicts with module(perl:5.30) provided by perl:5.30:8030020200609055348:568f3a16-0.x86_64
 - module perl-App-cpanminus:1.7044:820181214184336:3a33b840-0.x86_64 requires module(perl:5.30), but none of the providers can be installed
 - conflicting requests
 Problem 2: module perl:5.30:8030020200609055348:568f3a16-0.x86_64 conflicts with module(perl:5.26) provided by perl:5.26:820181219174508:9edba152-0.x86_64
 - module perl:5.26:820181219174508:9edba152-0.x86_64 conflicts with module(perl:5.30) provided by perl:5.30:8030020200609055348:568f3a16-0.x86_64
 - module perl-DBD-MySQL:4.046:820181214121012:caf6787c-0.x86_64 requires module(perl:5.30), but none of the providers can be installed
 - module freeradius:3.0:8010020190614154208:16b3ab4d-0.x86_64 requires module(perl:5.26), but none of the providers can be installed
 - conflicting requests

Environment

  • Red Hat Enterprise Linux 8
  • Red Hat Satellite 6.7+
  • Red Hat Enterprise Linux 8 Content View with yum repository filters in place

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In

New to Red Hat?

Learn more about Red Hat subscriptions

Using a Red Hat product through a public cloud?

How to access this content